package cn.dankal.share.cache.common;

import cn.hutool.core.util.StrUtil;

/**
 * @author ZGH.MercyModest
 * @version V1.0.0
 * @create 2021-03-26
 */
public interface Const {

    /**
     * redis  key   /redis  pattern
     */
    interface RedisKey {
        /**
         * redis key  pattern
         *
         * @see {@link StrUtil#format(CharSequence, Object...)}
         */
        String KEY_PATTERN_PROVINCES_DETAIL = "java_cache_provinces_detail_{}";
    }

    /**
     * Cache timeout
     */
    interface CacheTimeout {
        /**
         * timeout: provinces detail
         */
        long TIMEOUT_PROVINCES_DETAIL_MINUTES = 5;
        /**
         * timeout: null data (缓存穿透)
         */
        long TIMEOUT_NULL_DATA_MINUTES = 1;
    }
}
